Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.control
Class SearchResultInfo

    java.lang.Object
      org.deegree.portal.cataloguemanager.control.SearchResultInfo

All Implemented Interfaces:
  Serializable

    public class SearchResultInfo

extends Object
implements Serializable

TODO add class documentation here

Version:
  $Revision: $, $Date: $
Author:
  Andreas Poth, last edited by: $Author: admin $
See Also:
  Serialized Form

Constructor Summary
`SearchResultInfo()`

Method Summary
`String` | `getCswName()`
`String` | `getCswURL()`
`int` | `getNumberOfRecordsMatched()`
`int` | `getNumberOfRecordsReturned()`
`void` | `setCswName(String cswName)`
`void` | `setCswURL(String cswURL)`
`void` | `setNumberOfRecordsMatched(int numberOfRecordsMatched)`
`void` | `setNumberOfRecordsReturned(int numberOfRecordsReturned)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchResultInfo

    public SearchResultInfo()

Method Detail

### getNumberOfRecordsReturned

    public int getNumberOfRecordsReturned()

  Returns:
    the numberOfRecordsReturned

### setNumberOfRecordsReturned

    public void setNumberOfRecordsReturned(int numberOfRecordsReturned)

  Parameters:
    `numberOfRecordsReturned` - the numberOfRecordsReturned to set

### getNumberOfRecordsMatched

    public int getNumberOfRecordsMatched()

  Returns:
    the numberOfRecordsMatched

### setNumberOfRecordsMatched

    public void setNumberOfRecordsMatched(int numberOfRecordsMatched)

  Parameters:
    `numberOfRecordsMatched` - the numberOfRecordsMatched to set

### getCswURL

    public String getCswURL()

  Returns:
    the cswURL

### setCswURL

    public void setCswURL(String cswURL)

  Parameters:
    `cswURL` - the cswURL to set

### getCswName

    public String getCswName()

  Returns:
    the cswName

### setCswName

    public void setCswName(String cswName)

  Parameters:
    `cswName` - the cswName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org